package com.sdtool.common.entity.site;

import com.sweetfish.util.Comment;

/**
 * Created by jlutt on 2018-11-23.
 *
 * @author jlutt
 */
public class SysMessageMap {

    @Comment("消息id")
    private long messageId;

    @Comment("消息类型")
    private int messageType;

    @Comment("发送人id")
    private long sendUserId;

    @Comment("发送人")
    private String sendUserName;

    @Comment("发送时间")
    private long sendTimeLong;

    @Comment("读取状态")
    private int readStatus;

    @Comment("内容id")
    private long textId;

    private SysMessageText messageText;

    public SysMessageMap() {
    }

    public SysMessageMap(SysMessage message) {
        this.messageId = message.getMessageId();
        this.messageType = message.getMessageType();
        this.sendUserId = message.getSendUserId();
        this.sendUserName = message.getSendUserName();
        this.readStatus = message.getReadStatus();
        this.sendTimeLong = message.getSendTimeLong();
        this.textId = message.getTextId();
    }

    public SysMessageMap(SysMessageStatus message) {
        this.messageId = message.getMessageId();
        this.messageType = message.getMessageType();
        this.sendUserId = message.getSendUserId();
        this.sendUserName = message.getSendUserName();
        this.readStatus = message.getReadStatus();
        this.sendTimeLong = message.getSendTimeLong();
        this.textId = message.getTextId();
    }

    public long getMessageId() {
        return messageId;
    }

    public void setMessageId(long messageId) {
        this.messageId = messageId;
    }

    public int getMessageType() {
        return messageType;
    }

    public void setMessageType(int messageType) {
        this.messageType = messageType;
    }

    public long getSendUserId() {
        return sendUserId;
    }

    public void setSendUserId(long sendUserId) {
        this.sendUserId = sendUserId;
    }

    public String getSendUserName() {
        return sendUserName;
    }

    public void setSendUserName(String sendUserName) {
        this.sendUserName = sendUserName;
    }

    public long getSendTimeLong() {
        return sendTimeLong;
    }

    public void setSendTimeLong(long sendTimeLong) {
        this.sendTimeLong = sendTimeLong;
    }

    public int getReadStatus() {
        return readStatus;
    }

    public void setReadStatus(int readStatus) {
        this.readStatus = readStatus;
    }

    public SysMessageText getMessageText() {
        return messageText;
    }

    public void setMessageText(SysMessageText messageText) {
        this.messageText = messageText;
    }

    public long getTextId() {
        return textId;
    }

    public void setTextId(long textId) {
        this.textId = textId;
    }
}
